package com.asset.domain;

import com.asset.common.Insert;
import com.asset.common.Login;
import com.asset.common.Special;
import com.asset.common.Update;
import lombok.Data;
import javax.persistence.Id;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/1/3
 */
@Data
public class User {
    @Id
    private Integer id;
    /**
     * 账号
     */
    @NotEmpty(message = "{username.NotEmpty}", groups = {Insert.class,Login.class})
    private String username;
    /**
     * 密码
     */
    @NotEmpty(message = "{password.NotEmpty}", groups = {Insert.class,Special.class,Login.class})
    @Pattern(regexp="^[a-zA-Z0-9]+$",message="{password.Pattern}",groups = {Insert.class,Special.class,Login.class})
    @Size(min=6,max=20,message="{password.size}",groups = {Insert.class,Special.class,Login.class})
    private String password;

    private String name;

    private String depid;

    private Long phone;

    private String email;

    private Integer status;

    private Integer sex;

    private Long create_time;
    /**
     * 映射的角色
     */
    private List<String> role;
    /**
     * 映射的权限
     */
    private List<String> permission;

    @NotEmpty(message = "{password.NotEmpty}", groups = {Insert.class,Update.class})
    private String role_id;

}
