package com.asset.service;

import com.asset.common.Common;
import com.asset.domain.*;
import com.asset.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;

/*
 * @author xiaol
 * @date 2019/12/28
 */
@Service("UserService")
public class UserService implements UserMapper {
    @Autowired
    UserMapper userMapper;

    @Override
    public User getUserById(Integer id) {
        return userMapper.getUserById(id);
    }

    public Map<String,Object> getUserByIdInfo(Integer id) {
        User user = getUserById(id);
        Map<String, Object> map = new HashMap<>();
        map.put("id", user.getId());
        map.put("username", user.getUsername());
        map.put("name", user.getName());
        map.put("depid", user.getDepid());
        map.put("sex", user.getSex());
        map.put("phone", user.getPhone());
        map.put("email", user.getEmail());
        return map;
    }

    @Override
    public User getUserByName(String name) {
        return userMapper.getUserByName(name);
    }

    @Override
    public List<User> getUserList(Map param) {
        List<User> lists = userMapper.getUserList(param);
        return lists;
    }

    @Override
    public boolean insertUser(User user) {
        //需要同步写入账号对应的角色到账号角色表(需要获取insert的账号id)

        return userMapper.insertUser(user);
    }

    @Override
    public boolean deleteUserById(Integer id) {
        return userMapper.deleteUserById(id);
    }

    @Override
    public boolean updateUser(User user) {
        if(userMapper.updateUser(user)){
            return true;
        }else{
            return false;
        }
    }

    @Override
    public boolean updatePassword(User user) {
        User user1 = userMapper.getUserById(user.getId());
        String password = Common.passwordHash(user.getPassword(),user1.getUsername());
        user.setPassword(password);
        return userMapper.updatePassword(user);
    }

}
