package com.asset.service.system;

import com.asset.domain.system.Company;
import com.asset.mapper.system.CompanyMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/*
 * @author xiaol
 * @date 2019/12/28
 */
@Service("CompanyService")
public class CompanyService implements CompanyMapper {
    @Autowired
    CompanyMapper companyMapper;

    @Override
    public Company getCompanyById(Integer id) {
        return companyMapper.getCompanyById(id);
    }

    @Override
    public Company getCompanyByName(String name) {
        return companyMapper.getCompanyByName(name);
    }

    @Override
    public Page<Company> companyList(Map param) {
        return companyMapper.companyList(param);
    }

    @Override
    public void insertCompany(Company company) {
        companyMapper.insertCompany(company);
    }

    @Override
    public boolean insertAllCompany(List<Company> company) {
        return companyMapper.insertAllCompany(company);
    }

    @Override
    public void updateCompany(Company company) {
        companyMapper.updateCompany(company);
    }

    @Override
    public boolean deleteCompanyById(Integer id) {
        return companyMapper.deleteCompanyById(id);
    }

    @Override
    public boolean deleteCompanyByIds(List<Integer> list,String name) {
        return companyMapper.deleteCompanyByIds(list,name);
    }


}
